package com.bonus.canteen.core.supply.dto;

import com.bonus.canteen.core.supply.constant.MgrUserAuthPO;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;
import java.util.List;

public class DrpMaterialBidRecordsPageDTO  {
   @ApiModelProperty("原料/商品名称")
   private String materialName;
   @ApiModelProperty("类别id")
   private List<Long> categoryIdList;
   @ApiModelProperty("原料类型(1原料2商品)")
   private Integer materialType;
   @ApiModelProperty("中标供应商id")
   private Long winSupplierId;
   @ApiModelProperty("价格状态 1有效 2无效")
   private Integer priceState;
   @ApiModelProperty("中标时间结束")
   private LocalDateTime bidTimeStart;
   @ApiModelProperty("中标时间开始")
   private LocalDateTime bidTimeEnd;
   @ApiModelProperty("中标价生效时间开始")
   private LocalDateTime startTime;
   @ApiModelProperty("中标价生效时间结束")
   private LocalDateTime endTime;
   @ApiModelProperty("用户权限")
   private MgrUserAuthPO authPO;
   @ApiModelProperty("区域ID")
   private Long areaId;
   @ApiModelProperty("区域ID")
   private List<Long> areaIdList;
   private List<Long> areaAuth;

   public String getMaterialName() {
      return this.materialName;
   }

   public List<Long> getCategoryIdList() {
      return this.categoryIdList;
   }

   public Integer getMaterialType() {
      return this.materialType;
   }

   public Long getWinSupplierId() {
      return this.winSupplierId;
   }

   public Integer getPriceState() {
      return this.priceState;
   }

   public LocalDateTime getBidTimeStart() {
      return this.bidTimeStart;
   }

   public LocalDateTime getBidTimeEnd() {
      return this.bidTimeEnd;
   }

   public LocalDateTime getStartTime() {
      return this.startTime;
   }

   public LocalDateTime getEndTime() {
      return this.endTime;
   }

   public MgrUserAuthPO getAuthPO() {
      return this.authPO;
   }

   public Long getAreaId() {
      return this.areaId;
   }

   public List<Long> getAreaIdList() {
      return this.areaIdList;
   }

   public List<Long> getAreaAuth() {
      return this.areaAuth;
   }

   public void setMaterialName(final String materialName) {
      this.materialName = materialName;
   }

   public void setCategoryIdList(final List<Long> categoryIdList) {
      this.categoryIdList = categoryIdList;
   }

   public void setMaterialType(final Integer materialType) {
      this.materialType = materialType;
   }

   public void setWinSupplierId(final Long winSupplierId) {
      this.winSupplierId = winSupplierId;
   }

   public void setPriceState(final Integer priceState) {
      this.priceState = priceState;
   }

   public void setBidTimeStart(final LocalDateTime bidTimeStart) {
      this.bidTimeStart = bidTimeStart;
   }

   public void setBidTimeEnd(final LocalDateTime bidTimeEnd) {
      this.bidTimeEnd = bidTimeEnd;
   }

   public void setStartTime(final LocalDateTime startTime) {
      this.startTime = startTime;
   }

   public void setEndTime(final LocalDateTime endTime) {
      this.endTime = endTime;
   }

   public void setAuthPO(final MgrUserAuthPO authPO) {
      this.authPO = authPO;
   }

   public void setAreaId(final Long areaId) {
      this.areaId = areaId;
   }

   public void setAreaIdList(final List<Long> areaIdList) {
      this.areaIdList = areaIdList;
   }

   public void setAreaAuth(final List<Long> areaAuth) {
      this.areaAuth = areaAuth;
   }

   public String toString() {
      String var10000 = this.getMaterialName();
      return "DrpMaterialBidRecordsPageDTO(materialName=" + var10000 + ", categoryIdList=" + String.valueOf(this.getCategoryIdList()) + ", materialType=" + this.getMaterialType() + ", winSupplierId=" + this.getWinSupplierId() + ", priceState=" + this.getPriceState() + ", bidTimeStart=" + String.valueOf(this.getBidTimeStart()) + ", bidTimeEnd=" + String.valueOf(this.getBidTimeEnd()) + ", startTime=" + String.valueOf(this.getStartTime()) + ", endTime=" + String.valueOf(this.getEndTime()) + ", authPO=" + String.valueOf(this.getAuthPO()) + ", areaId=" + this.getAreaId() + ", areaIdList=" + String.valueOf(this.getAreaIdList()) + ", areaAuth=" + String.valueOf(this.getAreaAuth()) + ")";
   }

}
